Subject: bug#21391: 24.5; `thing-at-point' should return a string

From: Dmitry Gutov <[email-masked]>
Date: Thu, 10 Nov 2016 23:12:46 +0200

On 10.11.2016 21:59, Eli Zaretskii wrote:

> Because currently they can call thing-at-point without defining
> foo-at-point.  AFAIU, you suggest to deny them this possibility, and
> force them to define foo-at-point for every foo.

They'll really have to do that only for string-unrepresentable foos.

Like currently (thing-at-point 'symbol) returns a string, whereas 
(symbol-at-point) returns an interned symbol. That's nothing new.